AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/libunity-webapps \
	-I$(top_srcdir)/tests/traced/common \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS)

noinst_PROGRAMS = \
	simple-actions hierarchy remove-actions multiple-interest

simple_actions_SOURCES = \
	simple-actions.c \
	../common/uwa-test-client.c
simple_actions_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

hierarchy_SOURCES = \
	hierarchy.c \
	../common/uwa-test-client.c 
hierarchy_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

remove_actions_SOURCES = \
	remove-actions.c \
	../common/uwa-test-client.c
remove_actions_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

multiple_interest_SOURCES = \
	multiple-interest.c \
	../common/uwa-test-client.c
multiple_interest_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la
